Bug 1447388 - Ansible Playbook service retirement option should not include hosts and extra_vars when no playbook is select
Summary: Ansible Playbook service retirement option should not include hosts and extra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1447058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 15:18 UTC by Satoe Imaishi
Modified: 2017-05-31 15:07 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1447058
Environment:
Last Closed: 2017-05-31 15:07:51 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 15:23:20 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a03d40e6a84ae9bc027077084663506868daae5d

commit a03d40e6a84ae9bc027077084663506868daae5d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue May 2 08:10:34 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 11:20:21 2017 -0400

    Merge pull request #1210 from h-kataria/retirement_options_only_when_playbook_selected
    
    send extra_vars & hosts values only when retirement playbook is selected
    (cherry picked from commit 8769b7ac31870196f49348ab7045efc423e106fd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447388

 .../javascripts/controllers/catalog/catalog_item_form_controller.js   | 4 ++--
 .../controllers/catalog/catalog_item_form_controller_spec.js          | 2 --
 2 files changed, 2 insertions(+), 4 deletions(-)

Comment 3 Shveta 2017-05-10 16:48:13 UTC
bin/rails c
Loading production environment (Rails 5.0.2)
irb(main):001:0> ServiceTemplate.find_by(:name => 'retire_ansi').options[:config_info][:retirement]
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
=> {:remove_resources=>"yes_without_playbook", :fqname=>"/Service/Generic/StateMachines/GenericLifecycle/Retire_Basic_Resource"}
irb(main):002:0> 


Verified in 5.8.0.13-rc2.20170502165848_0f98658

Comment 5 errata-xmlrpc 2017-05-31 15:07:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.